\begin{circuitikz}
    \tikzset{flipflop FF/.style={flipflop,
        flipflop def={t1=S, t2={\texttt{CLK}}, t3=R, t4={\citkztextnot{Q}}, t6=Q}
        }
    }
    \tikzset{flipflop AB/.style={flipflop,
     flipflop def={t1=S, t3=R, t6=Q, t4={\ctikztextnot{Q}}, c2=1, t2={}}}}
    \draw (0, 0) node[flipflop AB](ff){}
      (ff.pin 1) -- ++(-.2, 0) node[and port, anchor=out](and1){}
      (ff.pin 3) -- ++(-.2, 0) node[and port, anchor=out](and2){}
      (ff.pin 2) -- ++(-1.7, 0) node[left]{CLK}
      (and1.in 2) node[left]{S}
      (and2.in 1) node[left]{R};
     % Disegno le retroazioni
     \draw (ff.pin 6) to[short, -*] ++(.1, 0) -- ++(0, -2.6) -- ++(-4.05, 0) -- (and2.in 2)
           (ff.pin 4) to[short, -*] ++(.3, 0) -- ++(0, 2.6) -- ++(-4.25, 0) -- (and1.in 1);
\end{circuitikz}